function make_time

% In the modelling of diffusion we assume that ti(1)=0 and at the 
% subsequent points (i=2,3,...), garnet spends time dt=ti(i)-t(i-1). 
% Before running make_diffusion, time can be properly setup by make_time. 


% input 
global Pi Ti ti0

% output 
global ti timemax time_fac
global Pr Tr Rr tr tr_done tr_rem Pr_rem Tr_rem  

figure, hold on, box on, grid on
plot(Ti,Pi,'k.-'), title('time design for diffusion (My)')
xlabel('T'), ylabel('P')
tim=ti;
nti=length(ti);
for i=1:2:nti
    ht(i)=text(Ti(i),Pi(i),num2str(tim(i),'%3.1f'),'fontsize',8,'color','k');
end
plot(Tr,Pr,'r.-')

disp('Left mouse button picks points.')
disp('Right mouse button ends input.')
but = 1;
ms=13; n=0; treached=0; k=0;
while but == 1
    if n>0;     delete(h); end
    [xi,yi,but] = ginput(1);
    if but==1
        n = n+1;
        h=plot(xi,yi,'b.','markersize',ms);       
        mi=min(((Ti-xi)/10).^2+((Pi-yi)/1000).^2);
        ii=find(((Ti-xi)/10).^2+((Pi-yi)/1000).^2==mi);
        
        if ti(ii)>treached
            treached=ti(ii);
            plot(Ti(ii),Pi(ii),'b.','markersize',ms+3);
            titi = input('set increasing time: ', 's');
            titi=str2num(titi);
            k=k+1;
            wtim(k)=titi; wtim_ii(k)=ii;
            text(Ti(ii)+1,Pi(ii),num2str(wtim(k)),'color','b','fontsize',18)
         else
            ti(ii), treached
            'time must be increasing'
        end
    end
end
if wtim_ii(k)<nti % koncovy cas bude roven max(ti) nebo poslednimu zadanemu + 1
    k=k+1; wtim(k)=max([max(ti),titi+1]); 
    wtim_ii(k)=nti;
    text(Ti(nti)+1,Pi(nti),num2str(wtim(k),'%3.1f'),'color','c','fontsize',18)
end
kmax=k
for k=1:kmax
    ii=wtim_ii(k);  
    if k==1
        for m=1:ii
            newtim(m)=wtim(k)/ii*(m-1);
        end
        ii0=ii;
    else
        for m=ii0+1:ii
            newtim(m)=wtim(k-1)+(wtim(k)-wtim(k-1))/(ii-ii0)*(m-ii0);
        end
        ii0=ii;
    end
end

% figure, hold on, box on, grid on
% plot(Ti,Pi,'k.-'), title('time design for diffusion')
% delete(ht)
for i=1:nti
    text(Ti(i)-3,Pi(i),num2str(newtim(i),'%3.1f'),'fontsize',8,'color','b')
end

% % transfer to ti and final check
% % ti(2:nti)=newtim(2:nti)-newtim(1:nti-1)+newtim(1);
% % ti(1)=newtim(1);
% ti=[newtim(1),diff(newtim)]
% timemax=sum(ti)
% time_fac=1
% 
% % figure, hold on, box on, grid on
% % plot(Ti,Pi,'b.-'), title('time design for diffusion')
% nti=length(ti);
% for i=1:nti
%     tim(i)=sum(ti(1:i));   
%     text(Ti(i),Pi(i),num2str(tim(i),2),'color','g')
% end


% pause


ntr=length(tr);
for i=1:ntr
    ht(i)=text(Tr(i),Pr(i),num2str(tr(i),'%3.1f'),'fontsize',8,'color','r');
end

tr=interp1(ti,newtim,tr,'pchip','extrap');
tr_rem=interp1(ti,newtim,tr_rem,'pchip','extrap');
tr_done=interp1(ti,newtim,tr_done,'pchip','extrap')
for i=1:ntr
    ht(i)=text(Tr(i)+5,Pr(i),num2str(tr(i),'%3.1f'),'fontsize',8,'color','m');
end

ti=newtim;
timemax=ti(end)
time_fac=1

figure
pos=get(gcf,'position');
set(gcf,'position',pos.*[1 1 1 1]+[0 -pos(4) 0 0])
hold on, grid on, title('actual PTt - will be used in make-diffusion')
% xlabel('T (K)'), ylabel('P (bar)'), zlabel('t (My)')
% plot3(Ti,Pi,ti,'.-')
ylabel('T (K)'), zlabel('P (bar)'), xlabel('t (My)')
plot3(ti,Ti,Pi,'b.-')
 view(-30,15)
