function  plot_tab_contours(tab_file,contour_levels)
% function  plot_tab_contours(tab_file,min_T,max_T,min_P,max_P,contour_levels)

% examples:
% plot_tab_contours('Fe.tab')
% plot_tab_contours('Fe.tab',[0.1:0.05:0.9])
% plot_tab_contours('Fe.tab',[0.1 0.2 0.5 0.7 0.75 0.8])

% run in the CODE folder
% assumed grid is 50 x 50

w = importdata(['..\DATA\',tab_file],' ', 13);
s=w.textdata;

nrT=4;
miT=str2num(s{nrT+1});
dT=str2num(s{nrT+2});
nT=str2num(s{nrT+3});
maT=miT+(nT-1)*dT;
Tg=linspace(miT,maT,nT);

nrP=nrT+4;
miP=str2num(s{nrP+1});
dP=str2num(s{nrP+2});
nP=str2num(s{nrP+3});
maP=miP+(nP-1)*dP;
Pg=linspace(miP,maP,nP);

if size(w.data,2)==3
    V=w.data(:,3); % value (Gt or concentration)
elseif size(w.data,2)==1
    V=w.data(:,1); % value (Gt or concentration)
end

d=reshape(V,nT,nP)';
[X,Y] = meshgrid(Tg,Pg);

figure
axis tight;
if nargin>1
% if nargin>5
    [C,h]=contourf(X,Y,d,contour_levels);
    clabel(C,h,contour_levels);
else
    [C,h]=contourf(X,Y,d);
   clabel(C,h); 
end

% xlim([min_T max_T])
% ylim([min_P max_P])

xlabel('T (K)');
ylabel('P (b)');

title(tab_file)

